Bug 1628218 - _kf5_metainfodir changed for epel
Summary: _kf5_metainfodir changed for epel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: kf5
Version: epel7
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-12 13:23 UTC by Pablo Greco
Modified: 2019-05-01 18:57 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-01 18:57:00 UTC


Attachments (Terms of Use)
Fix dependency issue causd by epoch in kf5-syndication (995 bytes, patch)
2018-09-17 08:19 UTC, Tuomo Soini
no flags Details | Diff

Description Pablo Greco 2018-09-12 13:23:37 UTC
Description of problem:
https://src.fedoraproject.org/cgit/rpms/kf5.git/commit/?h=epel7&id=a0eb57b1e7781aa558da4ce5b49f81b500336842 changed _kf5_metainfodir for fedora < 28 to keep it compatible, same change should be applied to epel

Version-Release number of selected component (if applicable):
>=5.42.0

How reproducible:
Always

This change breaks rebuild of other packages, like kstars

Comment 1 Rex Dieter 2018-09-12 15:44:11 UTC
Should be fixed when latest kf5-5.50.0 lands

That said, packages really should be using the provided macro (%_kf5_metainfodir) and then nothing should break.

Comment 2 Pablo Greco 2018-09-12 16:02:34 UTC
Agreed, that is what I did for my rebuild.
Thanks

Comment 3 Pablo Greco 2018-09-12 16:22:31 UTC
Rex, I see you removed the patch, I was actually thinking of changing it to
%if 0%{?rhel} && 0%{?rhel} < 8
because we actually need it that way for el7

Comment 4 Rex Dieter 2018-09-12 17:47:28 UTC
See the commit immediately before it so that value of %_kf5_metainfodir is set to %_metainfodir now

Comment 5 Fedora Update System 2018-09-14 13:29:55 UTC
breeze-icon-theme-5.50.0-1.el7 extra-cmake-modules-5.50.0-1.el7 kf5-5.50.0-1.el7 kf5-attica-5.50.0-1.el7 kf5-baloo-5.50.0-1.el7 kf5-bluez-qt-5.50.0-1.el7 kf5-frameworkintegration-5.50.0-1.el7 kf5-kactivities-5.50.0-1.el7 kf5-kactivities-stats-5.50.0-1.el7 kf5-kapidox-5.50.0-1.el7 kf5-karchive-5.50.0-1.el7 kf5-kauth-5.50.0-1.el7 kf5-kbookmarks-5.50.0-1.el7 kf5-kcmutils-5.50.0-1.el7 kf5-kcodecs-5.50.0-1.el7 kf5-kcompletion-5.50.0-1.el7 kf5-kconfig-5.50.0-1.el7 kf5-kconfigwidgets-5.50.0-1.el7 kf5-kcoreaddons-5.50.0-1.el7 kf5-kcrash-5.50.0-1.el7 kf5-kdbusaddons-5.50.0-1.el7 kf5-kdeclarative-5.50.0-1.el7 kf5-kded-5.50.0-1.el7 kf5-kdelibs4support-5.50.0-1.el7 kf5-kdesignerplugin-5.50.0-1.el7 kf5-kdesu-5.50.0-1.el7 kf5-kdewebkit-5.50.0-1.el7 kf5-kdnssd-5.50.0-1.el7 kf5-kdoctools-5.50.0-1.el7 kf5-kemoticons-5.50.0-1.el7 kf5-kfilemetadata-5.50.0-1.el7 kf5-kglobalaccel-5.50.0-1.el7 kf5-kguiaddons-5.50.0-1.el7 kf5-kholidays-5.50.0-1.el7 kf5-khtml-5.50.0-1.el7 kf5-ki18n-5.50.0-1.el7 kf5-kiconthemes-5.50.0-1.el7 kf5-kidletime-5.50.0-1.el7 kf5-kimageformats-5.50.0-1.el7 kf5-kinit-5.50.0-1.el7 kf5-kio-5.50.0-1.el7 kf5-kirigami2-5.50.0-1.el7 kf5-kitemmodels-5.50.0-1.el7 kf5-kitemviews-5.50.0-1.el7 kf5-kjobwidgets-5.50.0-1.el7 kf5-kjs-5.50.0-1.el7 kf5-kjsembed-5.50.0-1.el7 kf5-kmediaplayer-5.50.0-1.el7 kf5-knewstuff-5.50.0-1.el7 kf5-knotifications-5.50.0-1.el7 kf5-knotifyconfig-5.50.0-1.el7 kf5-kpackage-5.50.0-1.el7 kf5-kparts-5.50.0-1.el7 kf5-kpeople-5.50.0-1.el7 kf5-kplotting-5.50.0-1.el7 kf5-kpty-5.50.0-1.el7 kf5-kross-5.50.0-1.el7 kf5-krunner-5.50.0-1.el7 kf5-kservice-5.50.0-1.el7 kf5-ktexteditor-5.50.0-1.el7 kf5-ktextwidgets-5.50.0-1.el7 kf5-kunitconversion-5.50.0-1.el7 kf5-kwallet-5.50.0-1.el7 kf5-kwayland-5.50.0-1.el7 kf5-kwidgetsaddons-5.50.0-1.el7 kf5-kwindowsystem-5.50.0-1.el7 kf5-kxmlgui-5.50.0-1.el7 kf5-kxmlrpcclient-5.50.0-1.el7 kf5-modemmanager-qt-5.50.0-1.el7 kf5-networkmanager-qt-5.50.0-1.el7 kf5-plasma-5.50.0-1.el7 kf5-prison-5.50.0-1.el7 kf5-purpose-5.50.0-1.el7 kf5-solid-5.50.0-1.el7 kf5-sonnet-5.50.0-1.el7 kf5-syndication-5.50.0-1.el7 kf5-syntax-highlighting-5.50.0-1.el7 kf5-threadweaver-5.50.0-1.el7 qqc2-desktop-style-5.50.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c4ee248d8a

Comment 6 Fedora Update System 2018-09-14 22:41:21 UTC
breeze-icon-theme-5.50.0-1.el7, extra-cmake-modules-5.50.0-1.el7, kf5-5.50.0-1.el7, kf5-attica-5.50.0-1.el7, kf5-baloo-5.50.0-1.el7, kf5-bluez-qt-5.50.0-1.el7, kf5-frameworkintegration-5.50.0-1.el7, kf5-kactivities-5.50.0-1.el7, kf5-kactivities-stats-5.50.0-1.el7, kf5-kapidox-5.50.0-1.el7, kf5-karchive-5.50.0-1.el7, kf5-kauth-5.50.0-1.el7, kf5-kbookmarks-5.50.0-1.el7, kf5-kcmutils-5.50.0-1.el7, kf5-kcodecs-5.50.0-1.el7, kf5-kcompletion-5.50.0-1.el7, kf5-kconfig-5.50.0-1.el7, kf5-kconfigwidgets-5.50.0-1.el7, kf5-kcoreaddons-5.50.0-1.el7, kf5-kcrash-5.50.0-1.el7, kf5-kdbusaddons-5.50.0-1.el7, kf5-kdeclarative-5.50.0-1.el7, kf5-kded-5.50.0-1.el7, kf5-kdelibs4support-5.50.0-1.el7, kf5-kdesignerplugin-5.50.0-1.el7, kf5-kdesu-5.50.0-1.el7, kf5-kdewebkit-5.50.0-1.el7, kf5-kdnssd-5.50.0-1.el7, kf5-kdoctools-5.50.0-1.el7, kf5-kemoticons-5.50.0-1.el7, kf5-kfilemetadata-5.50.0-1.el7, kf5-kglobalaccel-5.50.0-1.el7, kf5-kguiaddons-5.50.0-1.el7, kf5-kholidays-5.50.0-1.el7, kf5-khtml-5.50.0-1.el7, kf5-ki18n-5.50.0-1.el7, kf5-kiconthemes-5.50.0-1.el7, kf5-kidletime-5.50.0-1.el7, kf5-kimageformats-5.50.0-1.el7, kf5-kinit-5.50.0-1.el7, kf5-kio-5.50.0-1.el7, kf5-kirigami2-5.50.0-1.el7, kf5-kitemmodels-5.50.0-1.el7, kf5-kitemviews-5.50.0-1.el7, kf5-kjobwidgets-5.50.0-1.el7, kf5-kjs-5.50.0-1.el7, kf5-kjsembed-5.50.0-1.el7, kf5-kmediaplayer-5.50.0-1.el7, kf5-knewstuff-5.50.0-1.el7, kf5-knotifications-5.50.0-1.el7, kf5-knotifyconfig-5.50.0-1.el7, kf5-kpackage-5.50.0-1.el7, kf5-kparts-5.50.0-1.el7, kf5-kpeople-5.50.0-1.el7, kf5-kplotting-5.50.0-1.el7, kf5-kpty-5.50.0-1.el7, kf5-kross-5.50.0-1.el7, kf5-krunner-5.50.0-1.el7, kf5-kservice-5.50.0-1.el7, kf5-ktexteditor-5.50.0-1.el7, kf5-ktextwidgets-5.50.0-1.el7, kf5-kunitconversion-5.50.0-1.el7, kf5-kwallet-5.50.0-1.el7, kf5-kwayland-5.50.0-1.el7, kf5-kwidgetsaddons-5.50.0-1.el7, kf5-kwindowsystem-5.50.0-1.el7, kf5-kxmlgui-5.50.0-1.el7, kf5-kxmlrpcclient-5.50.0-1.el7, kf5-modemmanager-qt-5.50.0-1.el7, kf5-networkmanager-qt-5.50.0-1.el7, kf5-plasma-5.50.0-1.el7, kf5-prison-5.50.0-1.el7, kf5-purpose-5.50.0-1.el7, kf5-solid-5.50.0-1.el7, kf5-sonnet-5.50.0-1.el7, kf5-syndication-5.50.0-1.el7, kf5-syntax-highlighting-5.50.0-1.el7, kf5-threadweaver-5.50.0-1.el7, qqc2-desktop-style-5.50.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c4ee248d8a

Comment 7 Tuomo Soini 2018-09-17 08:19:16 UTC
Created attachment 1483908 [details]
Fix dependency issue causd by epoch in kf5-syndication

Comment 8 Fedora Update System 2018-09-17 12:13:54 UTC
breeze-icon-theme-5.50.0-1.el7 extra-cmake-modules-5.50.0-1.el7 kf5-5.50.0-1.el7 kf5-attica-5.50.0-1.el7 kf5-baloo-5.50.0-1.el7 kf5-bluez-qt-5.50.0-1.el7 kf5-frameworkintegration-5.50.0-1.el7 kf5-kactivities-5.50.0-1.el7 kf5-kactivities-stats-5.50.0-1.el7 kf5-kapidox-5.50.0-2.el7 kf5-karchive-5.50.0-1.el7 kf5-kauth-5.50.0-1.el7 kf5-kbookmarks-5.50.0-1.el7 kf5-kcmutils-5.50.0-1.el7 kf5-kcodecs-5.50.0-1.el7 kf5-kcompletion-5.50.0-1.el7 kf5-kconfig-5.50.0-1.el7 kf5-kconfigwidgets-5.50.0-1.el7 kf5-kcoreaddons-5.50.0-1.el7 kf5-kcrash-5.50.0-1.el7 kf5-kdbusaddons-5.50.0-1.el7 kf5-kdeclarative-5.50.0-1.el7 kf5-kded-5.50.0-1.el7 kf5-kdelibs4support-5.50.0-1.el7 kf5-kdesignerplugin-5.50.0-1.el7 kf5-kdesu-5.50.0-1.el7 kf5-kdewebkit-5.50.0-1.el7 kf5-kdnssd-5.50.0-1.el7 kf5-kdoctools-5.50.0-1.el7 kf5-kemoticons-5.50.0-1.el7 kf5-kfilemetadata-5.50.0-1.el7 kf5-kglobalaccel-5.50.0-1.el7 kf5-kguiaddons-5.50.0-1.el7 kf5-kholidays-5.50.0-1.el7 kf5-khtml-5.50.0-1.el7 kf5-ki18n-5.50.0-1.el7 kf5-kiconthemes-5.50.0-1.el7 kf5-kidletime-5.50.0-1.el7 kf5-kimageformats-5.50.0-1.el7 kf5-kinit-5.50.0-1.el7 kf5-kio-5.50.0-1.el7 kf5-kirigami2-5.50.0-1.el7 kf5-kitemmodels-5.50.0-1.el7 kf5-kitemviews-5.50.0-1.el7 kf5-kjobwidgets-5.50.0-1.el7 kf5-kjs-5.50.0-1.el7 kf5-kjsembed-5.50.0-1.el7 kf5-kmediaplayer-5.50.0-1.el7 kf5-knewstuff-5.50.0-1.el7 kf5-knotifications-5.50.0-1.el7 kf5-knotifyconfig-5.50.0-1.el7 kf5-kpackage-5.50.0-1.el7 kf5-kparts-5.50.0-1.el7 kf5-kpeople-5.50.0-1.el7 kf5-kplotting-5.50.0-1.el7 kf5-kpty-5.50.0-1.el7 kf5-kross-5.50.0-1.el7 kf5-krunner-5.50.0-1.el7 kf5-kservice-5.50.0-1.el7 kf5-ktexteditor-5.50.0-1.el7 kf5-ktextwidgets-5.50.0-1.el7 kf5-kunitconversion-5.50.0-1.el7 kf5-kwallet-5.50.0-1.el7 kf5-kwayland-5.50.0-1.el7 kf5-kwidgetsaddons-5.50.0-1.el7 kf5-kwindowsystem-5.50.0-1.el7 kf5-kxmlgui-5.50.0-1.el7 kf5-kxmlrpcclient-5.50.0-1.el7 kf5-modemmanager-qt-5.50.0-1.el7 kf5-networkmanager-qt-5.50.0-1.el7 kf5-plasma-5.50.0-1.el7 kf5-prison-5.50.0-1.el7 kf5-purpose-5.50.0-1.el7 kf5-solid-5.50.0-1.el7 kf5-sonnet-5.50.0-1.el7 kf5-syndication-5.50.0-2.el7 kf5-syntax-highlighting-5.50.0-1.el7 kf5-threadweaver-5.50.0-1.el7 qqc2-desktop-style-5.50.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c4ee248d8a

Comment 9 Tuomo Soini 2018-09-17 17:48:41 UTC
Note, kf5-syndication fix is needed on fedora versions too.

Comment 10 Fedora Update System 2018-09-17 18:50:47 UTC
breeze-icon-theme-5.50.0-1.el7, extra-cmake-modules-5.50.0-1.el7, kf5-5.50.0-1.el7, kf5-attica-5.50.0-1.el7, kf5-baloo-5.50.0-1.el7, kf5-bluez-qt-5.50.0-1.el7, kf5-frameworkintegration-5.50.0-1.el7, kf5-kactivities-5.50.0-1.el7, kf5-kactivities-stats-5.50.0-1.el7, kf5-kapidox-5.50.0-2.el7, kf5-karchive-5.50.0-1.el7, kf5-kauth-5.50.0-1.el7, kf5-kbookmarks-5.50.0-1.el7, kf5-kcmutils-5.50.0-1.el7, kf5-kcodecs-5.50.0-1.el7, kf5-kcompletion-5.50.0-1.el7, kf5-kconfig-5.50.0-1.el7, kf5-kconfigwidgets-5.50.0-1.el7, kf5-kcoreaddons-5.50.0-1.el7, kf5-kcrash-5.50.0-1.el7, kf5-kdbusaddons-5.50.0-1.el7, kf5-kdeclarative-5.50.0-1.el7, kf5-kded-5.50.0-1.el7, kf5-kdelibs4support-5.50.0-1.el7, kf5-kdesignerplugin-5.50.0-1.el7, kf5-kdesu-5.50.0-1.el7, kf5-kdewebkit-5.50.0-1.el7, kf5-kdnssd-5.50.0-1.el7, kf5-kdoctools-5.50.0-1.el7, kf5-kemoticons-5.50.0-1.el7, kf5-kfilemetadata-5.50.0-1.el7, kf5-kglobalaccel-5.50.0-1.el7, kf5-kguiaddons-5.50.0-1.el7, kf5-kholidays-5.50.0-1.el7, kf5-khtml-5.50.0-1.el7, kf5-ki18n-5.50.0-1.el7, kf5-kiconthemes-5.50.0-1.el7, kf5-kidletime-5.50.0-1.el7, kf5-kimageformats-5.50.0-1.el7, kf5-kinit-5.50.0-1.el7, kf5-kio-5.50.0-1.el7, kf5-kirigami2-5.50.0-1.el7, kf5-kitemmodels-5.50.0-1.el7, kf5-kitemviews-5.50.0-1.el7, kf5-kjobwidgets-5.50.0-1.el7, kf5-kjs-5.50.0-1.el7, kf5-kjsembed-5.50.0-1.el7, kf5-kmediaplayer-5.50.0-1.el7, kf5-knewstuff-5.50.0-1.el7, kf5-knotifications-5.50.0-1.el7, kf5-knotifyconfig-5.50.0-1.el7, kf5-kpackage-5.50.0-1.el7, kf5-kparts-5.50.0-1.el7, kf5-kpeople-5.50.0-1.el7, kf5-kplotting-5.50.0-1.el7, kf5-kpty-5.50.0-1.el7, kf5-kross-5.50.0-1.el7, kf5-krunner-5.50.0-1.el7, kf5-kservice-5.50.0-1.el7, kf5-ktexteditor-5.50.0-1.el7, kf5-ktextwidgets-5.50.0-1.el7, kf5-kunitconversion-5.50.0-1.el7, kf5-kwallet-5.50.0-1.el7, kf5-kwayland-5.50.0-1.el7, kf5-kwidgetsaddons-5.50.0-1.el7, kf5-kwindowsystem-5.50.0-1.el7, kf5-kxmlgui-5.50.0-1.el7, kf5-kxmlrpcclient-5.50.0-1.el7, kf5-modemmanager-qt-5.50.0-1.el7, kf5-networkmanager-qt-5.50.0-1.el7, kf5-plasma-5.50.0-1.el7, kf5-prison-5.50.0-1.el7, kf5-purpose-5.50.0-1.el7, kf5-solid-5.50.0-1.el7, kf5-sonnet-5.50.0-1.el7, kf5-syndication-5.50.0-2.el7, kf5-syntax-highlighting-5.50.0-1.el7, kf5-threadweaver-5.50.0-1.el7, qqc2-desktop-style-5.50.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c4ee248d8a

Comment 11 Sergio Monteiro Basto 2018-09-25 03:17:13 UTC
Hum hello 

I started _metainfodir stuff [1] and seems that is breaking again, we end up in advise use of _metainfodir [2] , now I see in openshot-2.4.3-1.fc27 [3] f27 is using /usr/share/metainfo , so I don't know what is going on, but seems to me, or %py3_install changed or openshot-2.4.2 to openshot-2.4.3 changed 


[1]
https://pagure.io/packaging-committee/issue/752

[2]
https://fedoraproject.org/wiki/Packaging:AppData#app-data-validate_usage

[3]
http://koji.rpmfusion.org/koji/taskinfo?taskID=260789
http://koji.rpmfusion.org/koji/buildinfo?buildID=8865

Comment 12 "FeRD" (Frank Dana) 2018-09-25 09:38:14 UTC
OpenShot 2.4.3 definitely changed, they weren't installing AppData at all in 2.4.2 — Richard Shaw had added a local AppData file to the rpmfusion sources that we were installing from the spec.

With the release of OpenShot 2.4.3, there's now an AppData file packaged in the source distribution. I filed a PR ( https://github.com/OpenShot/openshot-qt/pull/2059 ) to sync our file with theirs, and dropped our local copy. 

But setup.py is putting it in /usr/share/metainfo/ on all systems. (That's a hardcoded path in the application's setup.py):

os_files = [
    # XDG application description
    ('share/applications', ['xdg/openshot-qt.desktop']),
    # AppStream metadata
    ('share/metainfo', ['xdg/openshot-qt.appdata.xml']),
[...]

F27's rpmbuild translates %{_metainfodir} to /usr/share/appdata/. So I'm just moving the file to /usr/share/appdata/ during %install, under F27.

Comment 13 Rex Dieter 2018-09-25 13:24:35 UTC
openshot isn't a kf5 app, and your comment isn't about epel, so I'm not sure how that is relevant to this bug. ??

Comment 14 Fedora Update System 2018-10-02 14:06:47 UTC
breeze-icon-theme-5.50.0-1.el7, extra-cmake-modules-5.50.0-1.el7, kf5-5.50.0-1.el7, kf5-attica-5.50.0-1.el7, kf5-baloo-5.50.0-1.el7, kf5-bluez-qt-5.50.0-1.el7, kf5-frameworkintegration-5.50.0-1.el7, kf5-kactivities-5.50.0-1.el7, kf5-kactivities-stats-5.50.0-1.el7, kf5-kapidox-5.50.0-2.el7, kf5-karchive-5.50.0-1.el7, kf5-kauth-5.50.0-1.el7, kf5-kbookmarks-5.50.0-1.el7, kf5-kcmutils-5.50.0-1.el7, kf5-kcodecs-5.50.0-1.el7, kf5-kcompletion-5.50.0-1.el7, kf5-kconfig-5.50.0-1.el7, kf5-kconfigwidgets-5.50.0-1.el7, kf5-kcoreaddons-5.50.0-1.el7, kf5-kcrash-5.50.0-1.el7, kf5-kdbusaddons-5.50.0-1.el7, kf5-kdeclarative-5.50.0-1.el7, kf5-kded-5.50.0-1.el7, kf5-kdelibs4support-5.50.0-1.el7, kf5-kdesignerplugin-5.50.0-1.el7, kf5-kdesu-5.50.0-1.el7, kf5-kdewebkit-5.50.0-1.el7, kf5-kdnssd-5.50.0-1.el7, kf5-kdoctools-5.50.0-1.el7, kf5-kemoticons-5.50.0-1.el7, kf5-kfilemetadata-5.50.0-1.el7, kf5-kglobalaccel-5.50.0-1.el7, kf5-kguiaddons-5.50.0-1.el7, kf5-kholidays-5.50.0-1.el7, kf5-khtml-5.50.0-1.el7, kf5-ki18n-5.50.0-1.el7, kf5-kiconthemes-5.50.0-1.el7, kf5-kidletime-5.50.0-1.el7, kf5-kimageformats-5.50.0-1.el7, kf5-kinit-5.50.0-1.el7, kf5-kio-5.50.0-1.el7, kf5-kirigami2-5.50.0-1.el7, kf5-kitemmodels-5.50.0-1.el7, kf5-kitemviews-5.50.0-1.el7, kf5-kjobwidgets-5.50.0-1.el7, kf5-kjs-5.50.0-1.el7, kf5-kjsembed-5.50.0-1.el7, kf5-kmediaplayer-5.50.0-1.el7, kf5-knewstuff-5.50.0-1.el7, kf5-knotifications-5.50.0-1.el7, kf5-knotifyconfig-5.50.0-1.el7, kf5-kpackage-5.50.0-1.el7, kf5-kparts-5.50.0-1.el7, kf5-kpeople-5.50.0-1.el7, kf5-kplotting-5.50.0-1.el7, kf5-kpty-5.50.0-1.el7, kf5-kross-5.50.0-1.el7, kf5-krunner-5.50.0-1.el7, kf5-kservice-5.50.0-1.el7, kf5-ktexteditor-5.50.0-1.el7, kf5-ktextwidgets-5.50.0-1.el7, kf5-kunitconversion-5.50.0-1.el7, kf5-kwallet-5.50.0-1.el7, kf5-kwayland-5.50.0-1.el7, kf5-kwidgetsaddons-5.50.0-1.el7, kf5-kwindowsystem-5.50.0-1.el7, kf5-kxmlgui-5.50.0-1.el7, kf5-kxmlrpcclient-5.50.0-1.el7, kf5-modemmanager-qt-5.50.0-1.el7, kf5-networkmanager-qt-5.50.0-1.el7, kf5-plasma-5.50.0-1.el7, kf5-prison-5.50.0-1.el7, kf5-purpose-5.50.0-1.el7, kf5-solid-5.50.0-1.el7, kf5-sonnet-5.50.0-1.el7, kf5-syndication-5.50.0-2.el7, kf5-syntax-highlighting-5.50.0-1.el7, kf5-threadweaver-5.50.0-1.el7, qqc2-desktop-style-5.50.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Sergio Monteiro Basto 2019-05-01 02:29:43 UTC
https://lists.fedoraproject.org/archives/list/epel-devel@lists.fedoraproject.org/thread/IZKZINVMH2WEGHX7Y7DY4GRS3UJ7474K/#IZKZINVMH2WEGHX7Y7DY4GRS3UJ7474K

RHEL 7 has supported AppStream data files being in /usr/share/metainfo since RHEL 7.4.

I think we may *close* this bug since https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c4ee248d8a is on stable 

Thanks

Comment 16 Rex Dieter 2019-05-01 18:57:00 UTC
Yes, looks like bodhi failed to auto-close this. Thanks for the reminder.


Note You need to log in before you can comment on or make changes to this bug.